Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in webkit2gtk3
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in webkit2gtk3
ID: openSUSE-SU-2020:0278-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Mo, 2. März 2020, 07:11
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3862
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8835
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8844
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3864
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8846
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3868
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3865
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3867
Applikationen: webkit2gtk3

Originalnachricht

   openSUSE Security Update: Security update for webkit2gtk3
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0278-1
Rating: important
References: #1159329 #1161719 #1163809
Cross-References: CVE-2019-8835 CVE-2019-8844 CVE-2019-8846
CVE-2020-3862 CVE-2020-3864 CVE-2020-3865
CVE-2020-3867 CVE-2020-3868
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes 8 vulnerabilities is now available.

Description:

This update for webkit2gtk3 to version 2.26.4 fixes the following issues:

Security issues fixed:

- CVE-2019-8835: Fixed multiple memory corruption issues (bsc#1161719).
- CVE-2019-8844: Fixed multiple memory corruption issues (bsc#1161719).
- CVE-2019-8846: Fixed a use-after-free issue (bsc#1161719).
- CVE-2020-3862: Fixed a memory handling issue (bsc#1163809).
- CVE-2020-3864: Fixed a logic issue in the DOM object context handling
(bsc#1163809).
- CVE-2020-3865: Fixed a logic issue in the DOM object context handling
(bsc#1163809).
- CVE-2020-3867: Fixed an XSS issue (bsc#1163809).
- CVE-2020-3868: Fixed multiple memory corruption issues that could have
lead to arbitrary code execution (bsc#1163809).

Non-security issues fixed:

- Fixed issues while trying to play a video on NextCloud.
- Fixed vertical alignment of text containing arabic diacritics.
- Fixed build with icu 65.1.
- Fixed page loading errors with websites using HSTS.
- Fixed web process crash when displaying a KaTeX formula.
- Fixed several crashes and rendering issues.
- Switched to a single web process for Evolution and geary (bsc#1159329
glgo#GNOME/evolution#587).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-278=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

libjavascriptcoregtk-4_0-18-2.26.4-lp151.2.12.1
libjavascriptcoregtk-4_0-18-debuginfo-2.26.4-lp151.2.12.1
libwebkit2gtk-4_0-37-2.26.4-lp151.2.12.1
libwebkit2gtk-4_0-37-debuginfo-2.26.4-lp151.2.12.1
typelib-1_0-JavaScriptCore-4_0-2.26.4-lp151.2.12.1
typelib-1_0-WebKit2-4_0-2.26.4-lp151.2.12.1
typelib-1_0-WebKit2WebExtension-4_0-2.26.4-lp151.2.12.1
webkit-jsc-4-2.26.4-lp151.2.12.1
webkit-jsc-4-debuginfo-2.26.4-lp151.2.12.1
webkit2gtk-4_0-injected-bundles-2.26.4-lp151.2.12.1
webkit2gtk-4_0-injected-bundles-debuginfo-2.26.4-lp151.2.12.1
webkit2gtk3-debugsource-2.26.4-lp151.2.12.1
webkit2gtk3-devel-2.26.4-lp151.2.12.1
webkit2gtk3-minibrowser-2.26.4-lp151.2.12.1
webkit2gtk3-minibrowser-debuginfo-2.26.4-lp151.2.12.1

- openSUSE Leap 15.1 (noarch):

libwebkit2gtk3-lang-2.26.4-lp151.2.12.1

- openSUSE Leap 15.1 (x86_64):

libjavascriptcoregtk-4_0-18-32bit-2.26.4-lp151.2.12.1
libjavascriptcoregtk-4_0-18-32bit-debuginfo-2.26.4-lp151.2.12.1
libwebkit2gtk-4_0-37-32bit-2.26.4-lp151.2.12.1
libwebkit2gtk-4_0-37-32bit-debuginfo-2.26.4-lp151.2.12.1


References:

https://www.suse.com/security/cve/CVE-2019-8835.html
https://www.suse.com/security/cve/CVE-2019-8844.html
https://www.suse.com/security/cve/CVE-2019-8846.html
https://www.suse.com/security/cve/CVE-2020-3862.html
https://www.suse.com/security/cve/CVE-2020-3864.html
https://www.suse.com/security/cve/CVE-2020-3865.html
https://www.suse.com/security/cve/CVE-2020-3867.html
https://www.suse.com/security/cve/CVE-2020-3868.html
https://bugzilla.suse.com/1159329
https://bugzilla.suse.com/1161719
https://bugzilla.suse.com/1163809

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung